{ config, lib, pkgs, ... }:

{
  hardware = {
    # fancontrol = {
    #   enable = true;
    #   config = "";
    # };
    sane = {
      enable = true;
      extraBackends = [
        pkgs.hplipWithPlugin
        # pkgs.sane-airscan
        pkgs.epkowa
        pkgs.utsushi
      ];
    };
    i2c.enable = true;
    uinput.enable = true;
    # openrazer = {
    #   enable = true;
    #   users = [ "emenel" ];
    # };
    graphics = {
      enable = true;
      enable32Bit = true;
      extraPackages = with pkgs; [
        rocmPackages.clr.icd
        amdvlk
      ];
      extraPackages32 = with pkgs.driversi686Linux; [
        amdvlk
      ];
    };

    enableAllFirmware = true;
    firmware = [
      pkgs.sof-firmware
      pkgs.alsa-firmware
    ];

    amdgpu.initrd.enable = true;

    nvidia = {
      open = true;
      # Modesetting is required.
      modesetting.enable = true;
      powerManagement.enable = true;
      powerManagement.finegrained = true;

      package = config.boot.kernelPackages.nvidiaPackages.beta;

      prime = {
        amdgpuBusId = "PCI:101:0:0";
        nvidiaBusId = "PCI:1:0:0";
        offload = {
          enable = true;
          enableOffloadCmd = true;
        };

        #reverseSync.enable = true;
        #sync.enable = true;
      };
      # nvidiaSettings = true;
    };

    brillo.enable = true;
    steam-hardware.enable = true;
    bluetooth = {
      enable = true;
      settings = {
        General = {
          Enable = "Source,Sink,Media,Socket";
          ControllerMode = "bredr";
          JustWorksRepairing = "always";
        };
      };
    };
  };
}
